
function(input, output,session) {
	observeEvent(input$run, {
	
	resultDir= reactive({CreateResultDir('CorrNetwork',input$projectName)})
	
	### Read input
	inputList=reactive({
		inFile <- input$file1
		if (is.null(inFile))
			return(NULL)
		file.rename(inFile$datapath,paste(inFile$datapath, ".xlsx", sep=""))
		isolate({
			withProgress({
				filename=sprintf("upload/%s",inFile$name)
				# if (file.exists(filename)) file.remove(filename)
				file.copy(paste(inFile$datapath, ".xlsx", sep=""), filename)
				setProgress(message = sprintf("Reading %s...",filename))
				inputDataOrg=ReadXlsxData(filename)
				# inputDataAll=ScaleLogFeatures(inputDataOrg)
				return(inputDataOrg)
			})
		})
	})
	
	
	output$inputData=renderDataTable({
		tab=DisplayDf(inputList(),'CorrNetwork',input$projectName)
	}, escape = FALSE)
	
	
	#Partial Correlation
	output$partialCorr=renderDataTable({
		corrCutoff=input$corrCutoff
		
		isolate({
			withProgress({
				setProgress(message = "Performing correlation..")
				DiffCorrNetwork(inputList(),corrCutoff,resultDir(),input$networkLegendx,input$networkLegendy)
			})
		})
		
	})
})
}
