shinyUI(
fluidPage(
	titlePanel("Correlation Network"),
  h5("Correlation Network generates network figure by groups. To view results, you can click on the Project Result Page in the inputData panel. Input file must be in xlsx format. Please refer to the sample file for input format"),
  a("corrNetworkInputSample.xlsx",href="http://13.229.20.244/share/corrNetworkInputSample.xlsx",target="_blank"),
  sidebarLayout(
    sidebarPanel(
      fileInput('file1', 'Choose xlsx File',accept=c('.xlsx')),
	  textInput('projectName', "Project ID", value = "CorrNetwork_", width = NULL, placeholder = NULL),
	  textInput('corrCutoff', "corr cutoff", value = "0.65", width = NULL, placeholder = NULL),
	  textInput('networkLegendx','Network Legend Pos X',value='-1.5',width = NULL, placeholder = NULL),
	  textInput('networkLegendy','Network Legend Pos Y',value='0',width = NULL, placeholder = NULL),
	  actionButton("run", label = "Run")
    ),
    mainPanel(
      tabsetPanel(
        tabPanel("inputData", dataTableOutput("inputData")),
		tabPanel("Diff Corr Pairs", dataTableOutput("partialCorr"))
      )
    )
  )
)
)